package com.ruoyi.web.modules.farming.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 服务预约评价 biz_service_appointment_review
 */
public class BizServiceAppointmentReview
{
    private Long id;

    private Long appointmentId;

    private String reviewerName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reviewTime;

    private Integer punctualityScore;

    private Integer attitudeScore;

    private Integer guidanceScore;

    private String summary;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getAppointmentId()
    {
        return appointmentId;
    }

    public void setAppointmentId(Long appointmentId)
    {
        this.appointmentId = appointmentId;
    }

    public String getReviewerName()
    {
        return reviewerName;
    }

    public void setReviewerName(String reviewerName)
    {
        this.reviewerName = reviewerName;
    }

    public Date getReviewTime()
    {
        return reviewTime;
    }

    public void setReviewTime(Date reviewTime)
    {
        this.reviewTime = reviewTime;
    }

    public Integer getPunctualityScore()
    {
        return punctualityScore;
    }

    public void setPunctualityScore(Integer punctualityScore)
    {
        this.punctualityScore = punctualityScore;
    }

    public Integer getAttitudeScore()
    {
        return attitudeScore;
    }

    public void setAttitudeScore(Integer attitudeScore)
    {
        this.attitudeScore = attitudeScore;
    }

    public Integer getGuidanceScore()
    {
        return guidanceScore;
    }

    public void setGuidanceScore(Integer guidanceScore)
    {
        this.guidanceScore = guidanceScore;
    }

    public String getSummary()
    {
        return summary;
    }

    public void setSummary(String summary)
    {
        this.summary = summary;
    }

    public Date getCreateTime()
    {
        return createTime;
    }

    public void setCreateTime(Date createTime)
    {
        this.createTime = createTime;
    }
}
